<?php

defined ( '_JEXEC' ) or die ( 'Restricted access' );

class JFormFieldClbckUrl extends JFormField {
	/**
	 * Method to get the field label markup.
	 *
	 * @return string The field label markup.
	 *        
	 * @since 11.1
	 */
	protected function getLabel() {
		return 'Callback URL';
	}
	
	/**
	 * Method to get the field input markup.
	 *
	 * @return string The field input markup.
	 *        
	 * @since 11.1
	 */
	protected function getInput() {
		$siteUrll = JURI::root();
		
		$wtht = str_replace(array("http://www.", "https://www."), array("http://", "https://"), $siteUrll);
        $wthW = str_replace(array("http://", "https://"), array("http://www.", "https://www."), $wtht);
		
		return '<select id="'.$this->id.'" name="'.$this->name.'">'.
		       '<option value="'. $wtht .'" >'. $wtht .'</option>'.
		       '<option value="'. $wthW .'" >'. $wthW .'</option>'.
		       '</select>';
	}
}